--- src/plugins/default/tsc-rdp-connection.c
+++ src/plugins/default/tsc-rdp-connection.c
@@ -13,6 +13,10 @@
 #include "tsc-connection.h"
 #include "tsc-util.h"
 
+#ifndef NOTIFY_CHECK_VERSION
+#define NOTIFY_CHECK_VERSION(x,y,z) 0
+#endif
+
 #define RDP_CONFIG_GROUP "RDP"
 #define RDP_KEY_HOST "host"
 #define RDP_KEY_USERNAME "username"
@@ -50,7 +54,12 @@
 				   tsc_connection_get_name (TSC_CONNECTION (connection)));
 	body = g_strdup_printf (_("You are connected to '%s' in fullscreen mode.  Use Control+Alt+Enter to switch to and from windowed mode."), tsc_connection_get_name (TSC_CONNECTION (connection)));
 	
-	n = notify_notification_new (summary, body, GTK_STOCK_DIALOG_INFO, NULL);
+	n = notify_notification_new (summary, body, GTK_STOCK_DIALOG_INFO
+#if NOTIFY_CHECK_VERSION (0, 7, 0)
+	);
+#else
+	, NULL);
+#endif
 	g_free (summary);
 	g_free (body);
 	
--- src/plugins/default/tsc-vnc-connection.c
+++ src/plugins/default/tsc-vnc-connection.c
@@ -8,6 +8,10 @@
 #include "tsc-util.h"
 #include "tsc-connection.h"
 
+#ifndef NOTIFY_CHECK_VERSION
+#define NOTIFY_CHECK_VERSION(x,y,z) 0
+#endif
+
 #define VNC_CONFIG_GROUP "VNC"
 #define VNC_KEY_HOST "host"
 #define VNC_KEY_PASSWORD "password"
@@ -39,7 +43,12 @@
 				   tsc_connection_get_name (TSC_CONNECTION (connection)));
 	body = g_strdup_printf (_("You are connected to '%s' in fullscreen mode.  Use F8 to switch to and from windowed mode."), tsc_connection_get_name (TSC_CONNECTION (connection)));
 
-	n = notify_notification_new (summary, body, GTK_STOCK_DIALOG_INFO, NULL);
+	n = notify_notification_new (summary, body, GTK_STOCK_DIALOG_INFO
+#if NOTIFY_CHECK_VERSION (0, 7, 0)
+	);
+#else
+	, NULL);
+#endif
 	g_free (summary);
 	g_free (body);
 	
